#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		_sbindir	/sbin
%define		_bindir		/bin
%define		_libdir		/%{_lib}
#-----------------------------------------------------------------------------
Name		:	ntfs-3g
Version		:	2022.5.17
Release		:	16.2.0.rel%{?dist}
Summary		:	Linux NTFS userspace driver
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/tuxera/ntfs-3g/releases/tag

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
ntfs-3g is an NTFS driver, which can create, remove, rename,
move files, directories, hard links, and streams; it can
read and write files, including streams and sparse files;
it can handle special files like symbolic links, devices, and
FIFOs; moreover it can also read and create transparently
compressed files.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
        --bindir=%{_bindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-ldconfig				\
	--disable-static				\
	--with-fuse=internal				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

ln -s							\
	../bin/%{name}					\
	%{buildroot}/sbin/mount.ntfs

ln -s							\
	%{name}.8					\
	%{buildroot}%{_mandir}/man8/mount.ntfs.8


%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%{_sbindir}/mkntfs
%{_sbindir}/mkfs.ntfs
%{_sbindir}/mount.ntfs
%{_sbindir}/mount.%{name}
%{_sbindir}/mount.low%{name}
%{_sbindir}/ntfsclone
%{_sbindir}/ntfscp
%{_sbindir}/ntfslabel
%{_sbindir}/ntfsresize
%{_sbindir}/ntfsundelete
%{_bindir}/low%{name}
%{_bindir}/%{name}
%{_bindir}/%{name}.probe
%{_bindir}/ntfscat
%{_bindir}/ntfscluster
%{_bindir}/ntfscmp
%{_bindir}/ntfsfix
%{_bindir}/ntfsinfo
%{_bindir}/ntfsls
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/lib%{name}.pc
%{_mandir}/man8/*.8.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
